import { ColorFormats } from 'tinycolor2';
type __VLS_Props = {
    value: ColorFormats.RGBA;
};
declare const _default: import('vue').DefineComponent<__VLS_Props, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {} & {
    colorChange: (payload: ColorFormats.RGBA) => any;
}, string, import('vue').PublicProps, Readonly<__VLS_Props> & Readonly<{
    onColorChange?: ((payload: ColorFormats.RGBA) => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, HTMLDivElement>;
export default _default;
